/* For retransmit response to Call Agent */
import java.lang.*;

public class Retransmission extends Thread {

  private boolean stopRequest;
  protected MGCPGateway gateway;
  protected String returnString;
  protected int time;
  
  public Retransmission (int time, MGCPGateway target, String ret) {
    this.time = time;
    this.gateway = target;
    this.returnString = new String(ret);
  }

  public synchronized void stopRequest () {
    stopRequest = true;
  }

  public void run () {
    while(true) {
      try {
        Thread.sleep (time);
        if(!stopRequest)
          gateway.retransmissionCall (this.returnString);
        else {
          interrupt();
          return;
        }
      } catch (InterruptedException ignored) {}
    }
  }
  
  public String toString() {
    String ret = "";
    ret = "From returnString: " + "\n" + returnString + "\n" + "stopRequest? " + stopRequest;
    return ret;
  }
}
