/* Connection Options */
public class connectionOptions {
  private String encodingMethod;
  private String packetPeriod;
  private String bandWidth;
  private String typeofService;
  private String echoCancellation;
  private String silenceSuppression;
  private String gainControl;
  private String reservationService;
  private String rtpSecurity;
  private String typeofNetwork;
  
  public connectionOptions() {
    encodingMethod = "";
    packetPeriod = "";
    bandWidth = "";
    typeofService = "";
    echoCancellation = "";
    silenceSuppression = "";
    gainControl = "";
    reservationService = "";
    rtpSecurity = "";
    typeofNetwork = "";
  }
  public void setencodingMethod(String codingmethod) {
    encodingMethod = new String(codingmethod.trim());
  }
  public void setpacketPeriod(String packetperiod) {
    packetPeriod = new String(packetperiod);
  }
  public void setbandWidth(String bandwidth) {
    bandWidth = new String(bandwidth.trim());
  }
  public void settypeofService(String tty) {
    typeofService = new String(tty.trim());
  }
  public void setechoCancellation(String echo) {
    echoCancellation = new String(echo.trim());
  }
  public void setsilenceSuppression(String silence) {
    silenceSuppression = new String(silence.trim());
  }
  public void setgainControl(String gain) {
    gainControl = new String(gain.trim());
  }
  public void setreservationService(String reservation) {
    reservationService = new String(reservation.trim());
  }
  public void setrtpSecurity(String security) {
    rtpSecurity = new String(security.trim());
  }
  public void settypeofNetwork(String ttn) {
    typeofNetwork = new String(ttn.trim());
  }

  public String getencodingMethod() {
    return encodingMethod;
  }
  public String getpacketPeriod() {
    return packetPeriod;
  }
  public String getbandWidth() {
    return bandWidth;
  }
  public String gettypeofService() {
    return typeofService;
  }
  public String getechoCancellation() {
    return echoCancellation;
  }
  public String getsilenceSuppression() {
    return silenceSuppression;
  }
  public String getgainControl() {
    return gainControl;
  }
  public String getreservationService() {
    return reservationService;
  }
  public String getrtpSecurity() {
    return rtpSecurity;
  }
  public String gettypeofNetwork() {
    return typeofNetwork;
  }
  public String toString() {
    String returnString = "";
    if(!encodingMethod.equals(""))
      returnString += "a: " + encodingMethod + ", ";
    if(!packetPeriod.equals(""))
      returnString += "p: " + packetPeriod + ", ";
    if(!bandWidth.equals(""))
      returnString += "b: " + bandWidth + ", ";
    if(!typeofService.equals(""))
      returnString += "t: " + typeofService + ", ";
    if(!echoCancellation.equals(""))
      returnString += "e: " + echoCancellation + ",  ";
    if(!silenceSuppression.equals(""))
      returnString += "s: " + silenceSuppression + ",  ";
    if(!gainControl.equals(""))
      returnString += "gc: " + gainControl + ", ";
    if(!reservationService.equals(""))
      returnString += "r: " + reservationService + ", ";
    if(!rtpSecurity.equals(""))
      returnString += "k: " + rtpSecurity + ", ";
    if(!typeofNetwork.equals(""))
      returnString += "nt: " + typeofNetwork + ", ";
    
    int pos = returnString.lastIndexOf(",");
    return new String(returnString.substring(0, pos-1));
  }
}